<?php
// +----------------------------------------------------------------------
// | 角色新增
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\controller\admin\auth;
use app\controller\SuperClass\Admin;

class Role_insert extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/auth/role_insert", method="GET|POST", title="角色新增")
    */
    public function run() {
        if (\x\Request::is_ajax()) {
            return $this->_insert();
        }
        return $this->display();
    }

    // Ajax处理
    private function _insert() {
        $Db = new \x\Db();
        $param = \x\Request::post();
        $param['create_time'] = time();

        $res = $Db->name('auth_role')->insert($param);
        $Db->return();

        if ($res != false) {
            return $this->returnJson('00', '创建成功！');
        }
        return $this->returnJson('01', '创建失败！');
    }

}

