<?php
/**
 * +----------------------------------------------------------------------
 * 版本删除
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

namespace app\controller\admin\edition;
use app\controller\SuperClass\Admin;

class Delete extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/edition/delete", method="POST", title="版本删除")
     * @Ioc(class="\x\Db", name="Db")
    */
    public function run() {
        $param = \x\Request::post();
        $num = count($param);
        $i   = 0;
        foreach ($param['id'] as  $key=>$val) {
            $res = $this->Db->name('edition')->where('id', $val['id'])->delete();
            if ($res != false) {
                $i++;
            }
        }
        $this->Db->return();
        return $this->returnJson('00', "共：{$num}条数据，成功删除：{$i}条！");
    }
}

