<?php
/**
 * +----------------------------------------------------------------------
 * 版本号查询
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

namespace app\controller\admin\task;
use app\controller\SuperClass\Admin;

class Get_edition extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/task/get_edition", method="POST", title="版本号查询")
    */
    public function run() {
        $Db = new \x\Db();
        $param = \x\Request::post();
        $list = $Db->name('edition')->where('item_id', $param['item_id'])->order('id DESC')->field('id, code')->select();
        $Db->return();
        if (!$list) {
            return $this->returnJson('01', '未查询到对应版本号');
        }
        
        return $this->returnJson('00', '获取成功', $list);
    }
}