<?php
// +----------------------------------------------------------------------
// | Redis配置
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

return [
    // 是否开启连接数监控
    'is_monitor' => true,

    // +----------------------------------------------------------------------
    // | Redis连接池配置 key(标识)=>value(Array)
    // +----------------------------------------------------------------------
    'pool_list' => [
        // 默认使用的连接池
        'default' => [
                // host
            'host' => '127.0.0.1',
            // 端口 
            'port' => '6380',
            // 密码 
            'pwd' => 'root',
            // 库前缀 
            'table' => 'user_',
            // 连接超时时间
            'timeout' => 1,
            // DBindex
            'dbindex' => 0,
            // 连接池数量
            'pool_num' => 4,
        ],
    ],
];
