<?php
// +----------------------------------------------------------------------
// | 管理员删除
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\controller\admin\auth;
use app\controller\SuperClass\Admin;

class Admin_delete extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/auth/admin_delete", method="POST", title="管理员删除")
     * @Ioc(class="\x\Db", name="Db")
    */
    public function run() {
        $param = \x\Request::post();
        $vif = $this->_where($param);
        if ($vif !== true) {
            $this->Db->return();
            return false;
        }

        $num = count($param);
        $i   = 0;
        foreach ($param['id'] as  $key=>$val) {
            $res = $this->Db->name('auth_admin')->where('id', $val['id'])->delete();
            if ($res != false) {
                $i++;
            }
        }
        $this->Db->return();
        return $this->returnJson('00', "共：{$num}条数据，成功删除：{$i}条！");
    }
    
    // 先检测管理员个数
    private function _where($param=[]) {
        $id = $param['id'];
        $in = '0';
        foreach ($id as $v) {
            if ($v['id'] == 1) {
                return $this->returnJson('01', "系统不允许删除admin账号！");
            }
            $in .= ','.$v['id'];
        }

        $count = $this->Db->name('auth_admin')->whereNotIn('id', '('.$in.')')->where('status = 1')->count();
        if ($count <= 0) return $this->returnJson('01', "系统至少要保留一位管理员账号！");

        return true;
    }
}

