<?php
/**
 * +----------------------------------------------------------------------
 * 修改头像
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

namespace app\controller\admin\auth;
use app\controller\SuperClass\Admin;

class Admin_logo extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/auth/admin_logo", method="GET|POST", title="修改头像")
    */
    public function run() {
        if (\x\Request::is_post()) {
            return $this->update();
        }
        return $this->display();
    }

    // 修改密码
    private function update() {
        $param = \x\Request::post();

        $vif = $this->_where($param);
        if ($vif !== true) return $vif;

        $Db = new \x\Db();
        $res = $Db->name('auth_admin')->where('id', $this->admin['id'])->update([
            'logo' => $param['logo']
        ]);
        $Db->return();
        if ($res != false) {
            return $this->returnJson('00', '修改成功！');
        }

        return $this->returnJson('01', '修改失败！');
    }

    // 新增条件过滤
    private function _where($param=[]) {
        if (empty($param['logo'])) return $this->returnJson('01', '请先选择头像图片');
        
        return true;
    }
}

