<?php
/**
 * +----------------------------------------------------------------------
 * 修改任务状态
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

namespace app\controller\admin\index;
use app\controller\SuperClass\Admin;

class Check extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/index/check", method="POST", title="修改任务状态")
    */
    public function run() {
        $Db = new \x\Db();
        $param = \x\Request::post();
        // 回归状态
        if (isset($param['task_id'])) {
            $Db->name('task_user')->where('task_id', $param['task_id'])->where('id', '<>', $param['id'])->update([
                'final_start_time' => '0',
                'final_end_time' => '0',
                'status' => 2,
            ]);
            $Db->name('task_user')->where('id', $param['id'])->update([
                'final_end_time' => '0',
                'status' => 1,
            ]);
            $Db->name('comment')->insert([
                'task_id' => $param['task_id'],
                'admin_id' => $this->admin['id'],
                'content' => '测试不通过，重置回开发状态',
                'create_time' => time()
            ]);
            $Db->return();
            return $this->returnJson('00', '更新成功！');
        }
        // 普通状态切换
        $data = [
            'status' => $param['status'],
        ];
        if ($param['status'] == 2) {
            $data['final_start_time'] = time();
        } else {
            $data['final_end_time'] = time();
        }
        $res = $Db->name('task_user')->where('id', $param['id'])->where('admin_id', $this->admin['id'])->update($data);
        $Db->return();
        if (!$res) return $this->returnJson('01', '更新失败，数据库写入异常');

        return $this->returnJson('00', '更新成功！');
    }
}

