<?php
// +----------------------------------------------------------------------
// | 角色删除
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\controller\admin\item;
use app\controller\SuperClass\Admin;

class Delete extends Admin
{

    /**
     * @AopBefore(class="app\aop\AdminLogin", function="before")
     * @RequestMapping(route="/admin/item/delete", method="POST", title="角色删除")
     * @Ioc(class="\x\Db", name="Db")
    */
    public function run() {
        $param = \x\Request::post();
        $num = count($param);
        $i   = 0;
        foreach ($param['id'] as  $key=>$val) {
            $res = $this->Db->name('item')->where('id', $val['id'])->delete();
            if ($res != false) {
                $i++;
            }
        }
        $this->Db->return();
        return $this->returnJson('00', "共：{$num}条数据，成功删除：{$i}条！");
    }
}

