<?php
/**
 * +----------------------------------------------------------------------
 * Mysql配置
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

return [
    // SQL防注入过滤函数
    'function'   => ['addslashes'],
    // 是否开启连接数监控
    'is_monitor' => true,

    // +----------------------------------------------------------------------
    // | 数据库连接池配置 key(标识)=>value(Array)
    // +----------------------------------------------------------------------
    'pool_list' => [
        // 默认使用的连接池
        'default' => [
            'host'     => '127.0.0.1', // 地址
            'port'     => '3306', // 端口
            'user'     => 'root', // 用户名
            'password' => 'root', // 密码
            'database' => 'tuandui', // 库
            'charset'  => 'utf8mb4', // 字符集
            'prefix'   => 'swx_', // 数据库表前缀
            'pool_num' => 5, // 连接池数量
        ],
    ],
];
